Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.connector.store.jpa.util
Class Serializer.NoLargeValues

    java.lang.Object
      org.modeshape.connector.store.jpa.util.Serializer.NoLargeValues

All Implemented Interfaces:
  Serializer.LargeValues

Enclosing class:
  Serializer

    protected static class Serializer.NoLargeValues

extends Object
implements Serializer.LargeValues

Constructor Summary
`protected` | `Serializer.NoLargeValues()`

Method Summary
`long` | `getMinimumSize()` Get the minimum size for large values, specified as `number of characters` for a `String` or the `number of bytes for a binary value`
`Object` | `read(ValueFactories valueFactories, byte[] hash, long length)`
`void` | `write(byte[] hash, long length, PropertyType type, Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Serializer.NoLargeValues

    protected Serializer.NoLargeValues()

Method Detail

### getMinimumSize

    public long getMinimumSize()

  Description copied from interface: `Serializer.LargeValues`
  Get the minimum size for large values, specified as `number of characters` for a `String` or the `number of bytes for a binary value`

  Specified by:
    `getMinimumSize` in interface `Serializer.LargeValues`
  Returns:
    the size at which a property value is considered to be large

### write

    public void write(byte[] hash,
                      long length,
                      PropertyType type,
                      Object value)

  Specified by:
    `write` in interface `Serializer.LargeValues`

### read

    public Object read(ValueFactories valueFactories,
                       byte[] hash,
                       long length)

  Specified by:
    `read` in interface `Serializer.LargeValues`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.